Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227679 - Stabilization of dev-libs/glib-2.16.3, x11-libs/pango-1.20.3 and packages with compatibility fixes
Summary: Stabilization of dev-libs/glib-2.16.3, x11-libs/pango-1.20.3 and packages wit...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 217845 245636
Blocks: gnome2.22-tracker CVE-2008-2363 260063
  Show dependency tree
 
Reported: 2008-06-17 00:49 UTC by Mart Raudsepp
Modified: 2009-02-25 18:30 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2008-06-17 00:49:40 UTC
This bug will be doing the glib-2.16 stabilization, but first we need a couple OK's on other stabilization from the package maintainers of a few packages that have glib-2.16 compatibility fixes that haven't reached the stable tree yet.
Comment 1 Mart Raudsepp gentoo-dev 2008-06-17 00:58:05 UTC
The following known packages with glib-2.16 compatibility fixes need stabling before glib-2.16, so that the stable tree doesn't break:

>=net-nntp/pan-0.132-r2 (see bug 224051 that would warrant -r3 stabilization)
>=media-sound/beast-0.7.1-r1
=app-crypt/pinentry-0.7.5 (request in bug 217845)
>=dev-ruby/ruby-glib2-0.16.0-r3

also a >=dev-cpp/glibmm-2.16 needs to go stable right after glib-2.16.x

Therefore I ask the appropriate package maintainers to say it's OK to include their package in the stabilization list that will be include here and what revision that would be, or file separate bugs and make them block this one here. So, here's a list in the form of CPV -> maintainer for those that the GNOME team doesn't solely maintain:

>=net-nntp/pan-0.132-r2 -> net-news
>=dev-ruby/ruby-glib2-0.16.0-r3 -> ruby


Ok, this wasn't quite as much as I thought I will end up with. net-news and ruby teams, please let us know if and what fixed version can be stabilized so we can move glib-2.16 forward. GNOME-2.22 stabilization now depends on this as well.
Comment 2 Hans de Graaff gentoo-dev 2008-06-17 05:05:46 UTC
Please include dev-ruby/ruby-glib2-0.16.0-r3 in the stabilisation list.
Comment 3 Mart Raudsepp gentoo-dev 2008-06-17 14:23:18 UTC
Proceeding then, as the GNOME team is co-maintaining net-nntp/pan at a lower capacity and it seems clear that it should be fine to go stable, as it has the glib-2.16 compatibility fix and a security fix. Also including new major pango version in the mix, as the other upgraded lower level component of the GNOME-2.22 deps. So,

Hello arches, please stabilize the following:

First these, as earlier versions do not build against glib-2.16.x and these do:

net-nntp/pan-0.132-r3  amd64 hppa ppc ppc64 sparc(?) x86
media-sound/beast-0.7.1-r1  ppc x86
app-crypt/pinentry-0.7.5 (request in bug 217845)  arm hppa s390 sh
dev-ruby/ruby-glib2-0.16.0-r3  alpha amd64 ia64 ppc sparc x86

And then in the given order:

dev-libs/glib-2.16.3  alpha amd64 arm hppa ia64 m68k ppc ppc64 s390 sh sparc x86
dev-cpp/glibmm-2.16.1 alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86
x11-libs/pango-1.20.3 alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2008-06-18 08:20:46 UTC
The following files contain translations and are currently not in use. Please
consider adding these to the POTFILES.in file, located in the po/ directory.

beast-gtk/bstgentypes.c
birnet/birnetcpu.cc
birnet/birnetutils.hh
bse/bsebus.genprc.c
bse/bsebusmodule.genidl.hh
bse/bsecontainer.genprc.c
bse/bsecore.genidl.hh
bse/bseieee754.h
bse/bseladspamodule.c
bse/bseparasite.genprc.c
bse/bsesong.genprc.c
bse/bsesource.genprc.c
bse/bsetrack.genprc.c

I really hate those test errors for media-sound/beast
Comment 5 Olivier Crete (RETIRED) gentoo-dev 2008-06-19 03:48:48 UTC
all done for amd64, keep it coming!
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2008-06-19 19:32:44 UTC
alpha/ia64/sparc done, except pan, as it gives bus error, bug 195543
Comment 7 Mart Raudsepp gentoo-dev 2008-06-19 21:21:24 UTC
(In reply to comment #4)
> I really hate those test errors for media-sound/beast

Please try to ignore those, I bet the earlier revision fails as well unless it doesn't use a newer intltool that is annoyingly strict like that as you see. I'd be fine with a bug report, but lets not delay glib-2.16 on this

Comment 8 Christian Faulhammer (RETIRED) gentoo-dev 2008-06-20 10:55:10 UTC
x86 stable
Comment 9 nixnut (RETIRED) gentoo-dev 2008-06-21 13:12:32 UTC
ppc stable
Comment 10 Markus Rothe (RETIRED) gentoo-dev 2008-06-21 20:08:48 UTC
ppc64 stable
Comment 11 Rémi Cardona gentoo-dev 2008-06-22 16:02:22 UTC
For arches which have not stabilized glibmm yet, please don't forget to stabilize libsigc++ first. Thanks
Comment 12 Jeroen Roovers (RETIRED) gentoo-dev 2008-06-30 16:34:09 UTC
Stable for HPPA.
Comment 13 Gilles Dartiguelongue gentoo-dev 2009-02-09 21:45:44 UTC
m68k did glib.

arm/sh, ping ?
Comment 14 Raúl Porcel (RETIRED) gentoo-dev 2009-02-25 18:30:42 UTC
arm/s390/sh stable.

Closing